%MATLAB Script-File impuls_165.m
%Einheits-Impulsantwortfunktion fr PT1- und PT2-Element
hold on                     %Kurve nicht berschreiben
grid on                     %kartesische Gitterlinien
w0=0.5; D=0.25; KP1=1; T1=4;%Parameter

numG1=KP1;	denG1=[T1 1];	%Zhler-, Nennerpolynom PT1-Element
G1=tf(numG1,denG1);		    %bertragungsfunktion G1(s)
numG2=w0^2; denG2=[1 2*D*w0 w0^2];%PT2-Element
G2=tf(numG2,denG2);			%bertragungsfunktion G2(s)

t=0:0.4:20;                 %Vektor der Zeitwerte
g1=impulse(G1,t); 		    %PT1-Impulsantwort
g2=impulse(G2,t); 		    %PT2-Impulsantwort

plot(t,g1,'-')              %PT1-Impulsantwort plotten
plot(t,g2,'-.')             %PT2-Impulsantwort plotten

%Titel der Graphik:
title('\it{Einheits-Impulsantwort}')
xlabel('\it{Zeit t/s}')     %Beschriftung der Abszisse
ylabel('\it{g(t)}')         %Beschriftung der Ordinate, 
						    %Legende:
legend('{\itPT}_1{\it-Element}','{\itPT}_2{\it-Element}') 