%MATLAB Script-File dimpuls_167.m
%Einheits-Impulsantwortfunktion einer Regelung
clf
hold on

text(11,0.07,'\it{x(kT)}')    %Bezeichnung der Kurve
text(6,0.015,'\it{y(kT)}')    %Bezeichnung der Kurve

T=1;                          %Abtastzeit
numG=0.04958; denG=[1 -1.607 0.6561]; %Zhler- u. Nennerpolyn. G(z)
G=tf(numG,denG,T);			  %G(z)
l=length([1:T:40]);			  %Anzahl Elemente des Zeitvektors
[dx,dT]=impulse(G,l);		  %Impulsantwortfolge x(kT)
plot(dT,dx/T,'o',dT,dx/T,'-') %Impulsantwort ausgeben

numGy=[0.042 -0.02547];       %Zhlerpolynom von Gy(z)
Gy=tf(numGy,denG,T);		  %Gy(z)
dy=impulse(Gy,l);			  %Impulsantwortfolge y(kT)

stairs(dT,dy/T)				  %Treppenfunktion ausgeben
grid on						  %kartesische Gitterlinien
title('\it{Einheits-Impulsantworten der Regelung}') %Titel
xlabel('\it{Zeit kT}')        %Beschriftung der Abszisse
ylabel('\it{y(kT), x(kT)}')   %Beschriftung der Ordinate
