%MATLAB Script-File pn_z_167.m
%Pol-Nullstellenplan von G(s) und G(z)
pol=[-0.5+0.5*j; -0.5-0.5*j; -1+0.2*j; -1-0.2*j]; %Pole{G(s)}
nul=[];                        %G(s) hat keine Nullstellen
k=1;                           %Konstante
pnG=zpk(nul,pol,k);            %Pol-Nullstellenmodell pnG
G=tf(pnG);                     %bertragungsfunktion G(s)

clf
subplot(121), pzmap(G)   	   %Pol-Nullstellenplan von G(s)
title('\it{s-Ebene}')          %Titel der Graphik
axis([-1 0 -2 2])              %Skalierung
axis('equal')                  %gleicher Skalierungsfaktor
                               %in der s-Ebene
sgrid                          %Gitterlinien fr D, w0

T=1.5;                         %Abtastzeit
dG=c2d(G,T,'zoh'); 			   %G(s)-->G(z)
subplot(122), pzmap(dG) 	   %Pol-Nullstellenplan fr G(z)
title('\it{z-Ebene}')          %Titel der Graphik
axis([-1 1 -2 2])	      	   %Skalierung
axis('equal')                  %gleicher Skalierungsfaktor
zgrid                          %Gitterlinien fr D, w0
                               %in der z-Ebene
